Summary:	Tool to convert and to format texts
Summary(pl.UTF-8):	Narzędzie do konwertowania i formatowania tekstu
Summary(pt_BR.UTF-8):	Ferramenta para converter e formatar textos
Name:		txt2tags
Version:	3.9
Release:	1
License:	GPL v2
Group:		Applications/Text
#Source0Download: https://github.com/txt2tags/txt2tags/releases
Source0:	https://github.com/txt2tags/txt2tags/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f0479f60e64708af9ea09a381bc8d6f8
Patch0:		local-docs.patch
URL:		https://txt2tags.org/
Requires:	python3
Requires:	python3-modules
Obsoletes:	vim-syntax-txt2tags < 3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
txt2tags is a tool to convert and to format texts. It functions thus:
you supply a text that has ones simple marquinhas for txt2tags and it
converts for any one of these formats:
- a document HTML
- a document SGML
- a document Latex
- a page of manual UNIX (manpage)
- a page of the MoinMoin
- a presentation of the Magic Point
- a PageMaker 6.0 document

%description -l pl.UTF-8
txt2tags jest narzędziem służącym do konwertowania oraz do
formatowania tekstów. Potrafi konwertować każdy z poniższych formatów:
- dokument HTML
- dokument SGML
- dokument Latex
- stronę podręcznika UNIX (manpage)
- stronę MoinMoin
- prezentację Magic Point
- dokument PageMakera 6.0

%description -l pt_BR.UTF-8
txt2tags é uma ferramenta para converter e formatar textos. Funciona
assim: você fornece um texto com umas marquinhas simples para o
txt2tags e ele converte para qualquer um desses formatos:
- um documento HTML
- um documento SGML
- um documento LaTeX
- uma página de manual UNIX (manpage)
- uma página do MoinMoin
- uma apresentação do Magic Point
- um documento do PageMaker 6.0

%prep
%setup -q
%patch -P 0 -p1

./docs/build-docs.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__sed} -e '1s,/usr/bin/env python,%{__python3},' txt2tags.py > $RPM_BUILD_ROOT%{_bindir}/txt2tags

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md extras
%doc docs/markup/markup.html
%doc docs/rules/rules.{css,html}
%doc docs/userguide/userguide.{css,html}
%attr(755,root,root) %{_bindir}/txt2tags
%changelog
* Mon Dec 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/txt2tags.git;a=log;h=master

* Mon Dec 23 2024 Jan Rękorajski <baggins@pld-linux.org> fb4020f
- up to 3.9

* Sun Apr 22 2018 Jakub Bogusz <qboosh@pld-linux.org> b284497
- new URLs, updated to 2.6

* Fri May 30 2008 Elan Ruusamäe <glen@pld-linux.org> 3f6b892
- release 4

* Fri May 30 2008 Elan Ruusamäe <glen@pld-linux.org> caab864
- don't use epoch when not defined

* Fri May 30 2008 Elan Ruusamäe <glen@pld-linux.org> 7569980
- Provides for smooth upgrade

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> f81aacc
- release 3

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 7a856d2
- vimdatadir is in vim-rt package
- vim syntax package renamed to vim-syntax-txt2tags; rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8a4142c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> db2e0fc
- converted to UTF-8

* Fri Jul 22 2005 blekot <blekot@pld-linux.org> 71040f9
- up to 2.3

* Tue Feb 01 2005 Elan Ruusamäe <glen@pld-linux.org> 15e0b6a
- use vimfiles directory

* Fri Dec 31 2004 Elan Ruusamäe <glen@pld-linux.org> 336c3c6
- removed outdated TODO

* Thu Dec 30 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 9320cbb
- updated to 2.2

* Wed Dec 15 2004 Elan Ruusamäe <glen@pld-linux.org> a83dd29
- vim subpackage: put keybindings to ftplugin/, so they're mapped only on .t2t files

* Wed Dec 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 38cc20e
- removed bc (leftover after different version checking idea)

* Wed Dec 15 2004 Elan Ruusamäe <glen@pld-linux.org> dd447ac
- vim subpackage R: vim-rt and txt2tags

* Fri Dec 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 2237812
- use epoch in vim deps, require dir (so vim x.y+1 won't satisfy dep)

* Fri Dec 03 2004 Elan Ruusamäe <glen@pld-linux.org> b4d4f48
- vim subpackage

* Fri Dec 03 2004 Elan Ruusamäe <glen@pld-linux.org> ea56c5b
- R: python-modules (for re)

* Sun Nov 14 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 5ae8d0a
- updated to 2.1

